clusters
Issue the ClusterConnector install command
Connected Clusters: a Helm command that installs or repairs the ClusterConnector with the access you grant. Each call invalidates the previous command.
POST
/
clusters
/
{id}
/
connector_install
Issue the ClusterConnector install command
curl --request POST \
--url https://api.akua.dev/v1/clusters/{id}/connector_install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"access": {
"kind": "cluster"
}
}
'import requests
url = "https://api.akua.dev/v1/clusters/{id}/connector_install"
payload = { "access": { "kind": "cluster" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({access: {kind: 'cluster'}})
};
fetch('https://api.akua.dev/v1/clusters/{id}/connector_install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/clusters/{id}/connector_install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'access' => [
'kind' => 'cluster'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/clusters/{id}/connector_install"
payload := strings.NewReader("{\n \"access\": {\n \"kind\": \"cluster\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akua.dev/v1/clusters/{id}/connector_install")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"access\": {\n \"kind\": \"cluster\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/clusters/{id}/connector_install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"access\": {\n \"kind\": \"cluster\"\n }\n}"
response = http.request(request)
puts response.read_body{
"command": "<string>",
"chart": {
"repository": "<string>",
"version": "<string>"
},
"expires_at": 1
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Conflict",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Gone",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unprocessable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "TooManyRequests",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "InternalServerError",
"success": false,
"errors": [
{
"code": 7009,
"message": "Internal server error"
}
],
"result": {}
}{
"_tag": "ExternalServiceError",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "GatewayTimeout",
"success": false,
"errors": [],
"result": {}
}Headers
Response
ClusterConnector install command
⌘I
Issue the ClusterConnector install command
curl --request POST \
--url https://api.akua.dev/v1/clusters/{id}/connector_install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"access": {
"kind": "cluster"
}
}
'import requests
url = "https://api.akua.dev/v1/clusters/{id}/connector_install"
payload = { "access": { "kind": "cluster" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({access: {kind: 'cluster'}})
};
fetch('https://api.akua.dev/v1/clusters/{id}/connector_install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/clusters/{id}/connector_install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'access' => [
'kind' => 'cluster'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/clusters/{id}/connector_install"
payload := strings.NewReader("{\n \"access\": {\n \"kind\": \"cluster\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akua.dev/v1/clusters/{id}/connector_install")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"access\": {\n \"kind\": \"cluster\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/clusters/{id}/connector_install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"access\": {\n \"kind\": \"cluster\"\n }\n}"
response = http.request(request)
puts response.read_body{
"command": "<string>",
"chart": {
"repository": "<string>",
"version": "<string>"
},
"expires_at": 1
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Conflict",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Gone",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unprocessable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "TooManyRequests",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "InternalServerError",
"success": false,
"errors": [
{
"code": 7009,
"message": "Internal server error"
}
],
"result": {}
}{
"_tag": "ExternalServiceError",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "GatewayTimeout",
"success": false,
"errors": [],
"result": {}
}